//
// Created by joethei on 08.01.20.
//

#ifndef GUI_STATUSBAR_HPP
#define GUI_STATUSBAR_HPP

/** Statusbar
 *  The class inherits a char *text from the Fl_Box. It also shows the window-resolution and the mouse-position.
 *  @param text: A pointer to a char-array, that can contain a text like a status or whatever you want.
 */
class Statusbar : public Fl_Box {
public:
    Statusbar(int x, int y, int w, int h, char *text);
};

char *get_resolution(int window_width, int window_height);



#endif
